| 1 | #! /bin/sh |
| 2 | |
| 3 | # From configure.in Id |
| 4 | # Guess values for system-dependent variables and create Makefiles. |
| 5 | # Generated automatically using autoconf version 2.13 |
| 6 | # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc. |
| 7 | # |
| 8 | # This configure script is free software; the Free Software Foundation |
| 9 | # gives unlimited permission to copy, distribute and modify it. |
| 10 | |
| 11 | # Defaults: |
| 12 | ac_help= |
| 13 | ac_default_prefix=/usr/local |
| 14 | # Any additions from configure.in: |
| 15 | |
| 16 | # Initialize some variables set by options. |
| 17 | # The variables have the same names as the options, with |
| 18 | # dashes changed to underlines. |
| 19 | build=NONE |
| 20 | cache_file=./config.cache |
| 21 | exec_prefix=NONE |
| 22 | host=NONE |
| 23 | no_create= |
| 24 | nonopt=NONE |
| 25 | no_recursion= |
| 26 | prefix=NONE |
| 27 | program_prefix=NONE |
| 28 | program_suffix=NONE |
| 29 | program_transform_name=s,x,x, |
| 30 | silent= |
| 31 | site= |
| 32 | srcdir= |
| 33 | target=NONE |
| 34 | verbose= |
| 35 | x_includes=NONE |
| 36 | x_libraries=NONE |
| 37 | bindir='${exec_prefix}/bin' |
| 38 | sbindir='${exec_prefix}/sbin' |
| 39 | libexecdir='${exec_prefix}/libexec' |
| 40 | datadir='${prefix}/share' |
| 41 | sysconfdir='${prefix}/etc' |
| 42 | sharedstatedir='${prefix}/com' |
| 43 | localstatedir='${prefix}/var' |
| 44 | libdir='${exec_prefix}/lib' |
| 45 | includedir='${prefix}/include' |
| 46 | oldincludedir='/usr/include' |
| 47 | infodir='${prefix}/info' |
| 48 | mandir='${prefix}/man' |
| 49 | |
| 50 | # Initialize some other variables. |
| 51 | subdirs= |
| 52 | MFLAGS= MAKEFLAGS= |
| 53 | SHELL=${CONFIG_SHELL-/bin/sh} |
| 54 | # Maximum number of lines to put in a shell here document. |
| 55 | ac_max_here_lines=12 |
| 56 | |
| 57 | ac_prev= |
| 58 | for ac_option |
| 59 | do |
| 60 | |
| 61 | # If the previous option needs an argument, assign it. |
| 62 | if test -n "$ac_prev"; then |
| 63 | eval "$ac_prev=\$ac_option" |
| 64 | ac_prev= |
| 65 | continue |
| 66 | fi |
| 67 | |
| 68 | case "$ac_option" in |
| 69 | -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;; |
| 70 | *) ac_optarg= ;; |
| 71 | esac |
| 72 | |
| 73 | # Accept the important Cygnus configure options, so we can diagnose typos. |
| 74 | |
| 75 | case "$ac_option" in |
| 76 | |
| 77 | -bindir | --bindir | --bindi | --bind | --bin | --bi) |
| 78 | ac_prev=bindir ;; |
| 79 | -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*) |
| 80 | bindir="$ac_optarg" ;; |
| 81 | |
| 82 | -build | --build | --buil | --bui | --bu) |
| 83 | ac_prev=build ;; |
| 84 | -build=* | --build=* | --buil=* | --bui=* | --bu=*) |
| 85 | build="$ac_optarg" ;; |
| 86 | |
| 87 | -cache-file | --cache-file | --cache-fil | --cache-fi \ |
| 88 | | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c) |
| 89 | ac_prev=cache_file ;; |
| 90 | -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \ |
| 91 | | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*) |
| 92 | cache_file="$ac_optarg" ;; |
| 93 | |
| 94 | -datadir | --datadir | --datadi | --datad | --data | --dat | --da) |
| 95 | ac_prev=datadir ;; |
| 96 | -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \ |
| 97 | | --da=*) |
| 98 | datadir="$ac_optarg" ;; |
| 99 | |
| 100 | -disable-* | --disable-*) |
| 101 | ac_feature=`echo $ac_option|sed -e 's/-*disable-//'` |
| 102 | # Reject names that are not valid shell variable names. |
| 103 | if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then |
| 104 | { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; } |
| 105 | fi |
| 106 | ac_feature=`echo $ac_feature| sed 's/-/_/g'` |
| 107 | eval "enable_${ac_feature}=no" ;; |
| 108 | |
| 109 | -enable-* | --enable-*) |
| 110 | ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'` |
| 111 | # Reject names that are not valid shell variable names. |
| 112 | if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then |
| 113 | { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; } |
| 114 | fi |
| 115 | ac_feature=`echo $ac_feature| sed 's/-/_/g'` |
| 116 | case "$ac_option" in |
| 117 | *=*) ;; |
| 118 | *) ac_optarg=yes ;; |
| 119 | esac |
| 120 | eval "enable_${ac_feature}='$ac_optarg'" ;; |
| 121 | |
| 122 | -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \ |
| 123 | | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \ |
| 124 | | --exec | --exe | --ex) |
| 125 | ac_prev=exec_prefix ;; |
| 126 | -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \ |
| 127 | | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \ |
| 128 | | --exec=* | --exe=* | --ex=*) |
| 129 | exec_prefix="$ac_optarg" ;; |
| 130 | |
| 131 | -gas | --gas | --ga | --g) |
| 132 | # Obsolete; use --with-gas. |
| 133 | with_gas=yes ;; |
| 134 | |
| 135 | -help | --help | --hel | --he) |
| 136 | # Omit some internal or obsolete options to make the list less imposing. |
| 137 | # This message is too long to be a string in the A/UX 3.1 sh. |
| 138 | cat << EOF |
| 139 | Usage: configure [options] [host] |
| 140 | Options: [defaults in brackets after descriptions] |
| 141 | Configuration: |
| 142 | --cache-file=FILE cache test results in FILE |
| 143 | --help print this message |
| 144 | --no-create do not create output files |
| 145 | --quiet, --silent do not print \`checking...' messages |
| 146 | --version print the version of autoconf that created configure |
| 147 | Directory and file names: |
| 148 | --prefix=PREFIX install architecture-independent files in PREFIX |
| 149 | [$ac_default_prefix] |
| 150 | --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX |
| 151 | [same as prefix] |
| 152 | --bindir=DIR user executables in DIR [EPREFIX/bin] |
| 153 | --sbindir=DIR system admin executables in DIR [EPREFIX/sbin] |
| 154 | --libexecdir=DIR program executables in DIR [EPREFIX/libexec] |
| 155 | --datadir=DIR read-only architecture-independent data in DIR |
| 156 | [PREFIX/share] |
| 157 | --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc] |
| 158 | --sharedstatedir=DIR modifiable architecture-independent data in DIR |
| 159 | [PREFIX/com] |
| 160 | --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var] |
| 161 | --libdir=DIR object code libraries in DIR [EPREFIX/lib] |
| 162 | --includedir=DIR C header files in DIR [PREFIX/include] |
| 163 | --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include] |
| 164 | --infodir=DIR info documentation in DIR [PREFIX/info] |
| 165 | --mandir=DIR man documentation in DIR [PREFIX/man] |
| 166 | --srcdir=DIR find the sources in DIR [configure dir or ..] |
| 167 | --program-prefix=PREFIX prepend PREFIX to installed program names |
| 168 | --program-suffix=SUFFIX append SUFFIX to installed program names |
| 169 | --program-transform-name=PROGRAM |
| 170 | run sed PROGRAM on installed program names |
| 171 | EOF |
| 172 | cat << EOF |
| 173 | Host type: |
| 174 | --build=BUILD configure for building on BUILD [BUILD=HOST] |
| 175 | --host=HOST configure for HOST [guessed] |
| 176 | --target=TARGET configure for TARGET [TARGET=HOST] |
| 177 | Features and packages: |
| 178 | --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) |
| 179 | --enable-FEATURE[=ARG] include FEATURE [ARG=yes] |
| 180 | --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] |
| 181 | --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) |
| 182 | --x-includes=DIR X include files are in DIR |
| 183 | --x-libraries=DIR X library files are in DIR |
| 184 | EOF |
| 185 | if test -n "$ac_help"; then |
| 186 | echo "--enable and --with options recognized:$ac_help" |
| 187 | fi |
| 188 | exit 0 ;; |
| 189 | |
| 190 | -host | --host | --hos | --ho) |
| 191 | ac_prev=host ;; |
| 192 | -host=* | --host=* | --hos=* | --ho=*) |
| 193 | host="$ac_optarg" ;; |
| 194 | |
| 195 | -includedir | --includedir | --includedi | --included | --include \ |
| 196 | | --includ | --inclu | --incl | --inc) |
| 197 | ac_prev=includedir ;; |
| 198 | -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \ |
| 199 | | --includ=* | --inclu=* | --incl=* | --inc=*) |
| 200 | includedir="$ac_optarg" ;; |
| 201 | |
| 202 | -infodir | --infodir | --infodi | --infod | --info | --inf) |
| 203 | ac_prev=infodir ;; |
| 204 | -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*) |
| 205 | infodir="$ac_optarg" ;; |
| 206 | |
| 207 | -libdir | --libdir | --libdi | --libd) |
| 208 | ac_prev=libdir ;; |
| 209 | -libdir=* | --libdir=* | --libdi=* | --libd=*) |
| 210 | libdir="$ac_optarg" ;; |
| 211 | |
| 212 | -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \ |
| 213 | | --libexe | --libex | --libe) |
| 214 | ac_prev=libexecdir ;; |
| 215 | -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \ |
| 216 | | --libexe=* | --libex=* | --libe=*) |
| 217 | libexecdir="$ac_optarg" ;; |
| 218 | |
| 219 | -localstatedir | --localstatedir | --localstatedi | --localstated \ |
| 220 | | --localstate | --localstat | --localsta | --localst \ |
| 221 | | --locals | --local | --loca | --loc | --lo) |
| 222 | ac_prev=localstatedir ;; |
| 223 | -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \ |
| 224 | | --localstate=* | --localstat=* | --localsta=* | --localst=* \ |
| 225 | | --locals=* | --local=* | --loca=* | --loc=* | --lo=*) |
| 226 | localstatedir="$ac_optarg" ;; |
| 227 | |
| 228 | -mandir | --mandir | --mandi | --mand | --man | --ma | --m) |
| 229 | ac_prev=mandir ;; |
| 230 | -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*) |
| 231 | mandir="$ac_optarg" ;; |
| 232 | |
| 233 | -nfp | --nfp | --nf) |
| 234 | # Obsolete; use --without-fp. |
| 235 | with_fp=no ;; |
| 236 | |
| 237 | -no-create | --no-create | --no-creat | --no-crea | --no-cre \ |
| 238 | | --no-cr | --no-c) |
| 239 | no_create=yes ;; |
| 240 | |
| 241 | -no-recursion | --no-recursion | --no-recursio | --no-recursi \ |
| 242 | | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) |
| 243 | no_recursion=yes ;; |
| 244 | |
| 245 | -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \ |
| 246 | | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \ |
| 247 | | --oldin | --oldi | --old | --ol | --o) |
| 248 | ac_prev=oldincludedir ;; |
| 249 | -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \ |
| 250 | | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \ |
| 251 | | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*) |
| 252 | oldincludedir="$ac_optarg" ;; |
| 253 | |
| 254 | -prefix | --prefix | --prefi | --pref | --pre | --pr | --p) |
| 255 | ac_prev=prefix ;; |
| 256 | -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*) |
| 257 | prefix="$ac_optarg" ;; |
| 258 | |
| 259 | -program-prefix | --program-prefix | --program-prefi | --program-pref \ |
| 260 | | --program-pre | --program-pr | --program-p) |
| 261 | ac_prev=program_prefix ;; |
| 262 | -program-prefix=* | --program-prefix=* | --program-prefi=* \ |
| 263 | | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*) |
| 264 | program_prefix="$ac_optarg" ;; |
| 265 | |
| 266 | -program-suffix | --program-suffix | --program-suffi | --program-suff \ |
| 267 | | --program-suf | --program-su | --program-s) |
| 268 | ac_prev=program_suffix ;; |
| 269 | -program-suffix=* | --program-suffix=* | --program-suffi=* \ |
| 270 | | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*) |
| 271 | program_suffix="$ac_optarg" ;; |
| 272 | |
| 273 | -program-transform-name | --program-transform-name \ |
| 274 | | --program-transform-nam | --program-transform-na \ |
| 275 | | --program-transform-n | --program-transform- \ |
| 276 | | --program-transform | --program-transfor \ |
| 277 | | --program-transfo | --program-transf \ |
| 278 | | --program-trans | --program-tran \ |
| 279 | | --progr-tra | --program-tr | --program-t) |
| 280 | ac_prev=program_transform_name ;; |
| 281 | -program-transform-name=* | --program-transform-name=* \ |
| 282 | | --program-transform-nam=* | --program-transform-na=* \ |
| 283 | | --program-transform-n=* | --program-transform-=* \ |
| 284 | | --program-transform=* | --program-transfor=* \ |
| 285 | | --program-transfo=* | --program-transf=* \ |
| 286 | | --program-trans=* | --program-tran=* \ |
| 287 | | --progr-tra=* | --program-tr=* | --program-t=*) |
| 288 | program_transform_name="$ac_optarg" ;; |
| 289 | |
| 290 | -q | -quiet | --quiet | --quie | --qui | --qu | --q \ |
| 291 | | -silent | --silent | --silen | --sile | --sil) |
| 292 | silent=yes ;; |
| 293 | |
| 294 | -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb) |
| 295 | ac_prev=sbindir ;; |
| 296 | -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \ |
| 297 | | --sbi=* | --sb=*) |
| 298 | sbindir="$ac_optarg" ;; |
| 299 | |
| 300 | -sharedstatedir | --sharedstatedir | --sharedstatedi \ |
| 301 | | --sharedstated | --sharedstate | --sharedstat | --sharedsta \ |
| 302 | | --sharedst | --shareds | --shared | --share | --shar \ |
| 303 | | --sha | --sh) |
| 304 | ac_prev=sharedstatedir ;; |
| 305 | -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \ |
| 306 | | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \ |
| 307 | | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \ |
| 308 | | --sha=* | --sh=*) |
| 309 | sharedstatedir="$ac_optarg" ;; |
| 310 | |
| 311 | -site | --site | --sit) |
| 312 | ac_prev=site ;; |
| 313 | -site=* | --site=* | --sit=*) |
| 314 | site="$ac_optarg" ;; |
| 315 | |
| 316 | -srcdir | --srcdir | --srcdi | --srcd | --src | --sr) |
| 317 | ac_prev=srcdir ;; |
| 318 | -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*) |
| 319 | srcdir="$ac_optarg" ;; |
| 320 | |
| 321 | -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \ |
| 322 | | --syscon | --sysco | --sysc | --sys | --sy) |
| 323 | ac_prev=sysconfdir ;; |
| 324 | -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \ |
| 325 | | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*) |
| 326 | sysconfdir="$ac_optarg" ;; |
| 327 | |
| 328 | -target | --target | --targe | --targ | --tar | --ta | --t) |
| 329 | ac_prev=target ;; |
| 330 | -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*) |
| 331 | target="$ac_optarg" ;; |
| 332 | |
| 333 | -v | -verbose | --verbose | --verbos | --verbo | --verb) |
| 334 | verbose=yes ;; |
| 335 | |
| 336 | -version | --version | --versio | --versi | --vers) |
| 337 | echo "configure generated by autoconf version 2.13" |
| 338 | exit 0 ;; |
| 339 | |
| 340 | -with-* | --with-*) |
| 341 | ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'` |
| 342 | # Reject names that are not valid shell variable names. |
| 343 | if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then |
| 344 | { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; } |
| 345 | fi |
| 346 | ac_package=`echo $ac_package| sed 's/-/_/g'` |
| 347 | case "$ac_option" in |
| 348 | *=*) ;; |
| 349 | *) ac_optarg=yes ;; |
| 350 | esac |
| 351 | eval "with_${ac_package}='$ac_optarg'" ;; |
| 352 | |
| 353 | -without-* | --without-*) |
| 354 | ac_package=`echo $ac_option|sed -e 's/-*without-//'` |
| 355 | # Reject names that are not valid shell variable names. |
| 356 | if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then |
| 357 | { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; } |
| 358 | fi |
| 359 | ac_package=`echo $ac_package| sed 's/-/_/g'` |
| 360 | eval "with_${ac_package}=no" ;; |
| 361 | |
| 362 | --x) |
| 363 | # Obsolete; use --with-x. |
| 364 | with_x=yes ;; |
| 365 | |
| 366 | -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \ |
| 367 | | --x-incl | --x-inc | --x-in | --x-i) |
| 368 | ac_prev=x_includes ;; |
| 369 | -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \ |
| 370 | | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*) |
| 371 | x_includes="$ac_optarg" ;; |
| 372 | |
| 373 | -x-libraries | --x-libraries | --x-librarie | --x-librari \ |
| 374 | | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l) |
| 375 | ac_prev=x_libraries ;; |
| 376 | -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \ |
| 377 | | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*) |
| 378 | x_libraries="$ac_optarg" ;; |
| 379 | |
| 380 | -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; } |
| 381 | ;; |
| 382 | |
| 383 | *) |
| 384 | if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then |
| 385 | echo "configure: warning: $ac_option: invalid host type" 1>&2 |
| 386 | fi |
| 387 | if test "x$nonopt" != xNONE; then |
| 388 | { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; } |
| 389 | fi |
| 390 | nonopt="$ac_option" |
| 391 | ;; |
| 392 | |
| 393 | esac |
| 394 | done |
| 395 | |
| 396 | if test -n "$ac_prev"; then |
| 397 | { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; } |
| 398 | fi |
| 399 | |
| 400 | trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15 |
| 401 | |
| 402 | # File descriptor usage: |
| 403 | # 0 standard input |
| 404 | # 1 file creation |
| 405 | # 2 errors and warnings |
| 406 | # 3 some systems may open it to /dev/tty |
| 407 | # 4 used on the Kubota Titan |
| 408 | # 6 checking for... messages and results |
| 409 | # 5 compiler messages saved in config.log |
| 410 | if test "$silent" = yes; then |
| 411 | exec 6>/dev/null |
| 412 | else |
| 413 | exec 6>&1 |
| 414 | fi |
| 415 | exec 5>./config.log |
| 416 | |
| 417 | echo "\ |
| 418 | This file contains any messages produced by compilers while |
| 419 | running configure, to aid debugging if configure makes a mistake. |
| 420 | " 1>&5 |
| 421 | |
| 422 | # Strip out --no-create and --no-recursion so they do not pile up. |
| 423 | # Also quote any args containing shell metacharacters. |
| 424 | ac_configure_args= |
| 425 | for ac_arg |
| 426 | do |
| 427 | case "$ac_arg" in |
| 428 | -no-create | --no-create | --no-creat | --no-crea | --no-cre \ |
| 429 | | --no-cr | --no-c) ;; |
| 430 | -no-recursion | --no-recursion | --no-recursio | --no-recursi \ |
| 431 | | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;; |
| 432 | *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*) |
| 433 | ac_configure_args="$ac_configure_args '$ac_arg'" ;; |
| 434 | *) ac_configure_args="$ac_configure_args $ac_arg" ;; |
| 435 | esac |
| 436 | done |
| 437 | |
| 438 | # NLS nuisances. |
| 439 | # Only set these to C if already set. These must not be set unconditionally |
| 440 | # because not all systems understand e.g. LANG=C (notably SCO). |
| 441 | # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'! |
| 442 | # Non-C LC_CTYPE values break the ctype check. |
| 443 | if test "${LANG+set}" = set; then LANG=C; export LANG; fi |
| 444 | if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi |
| 445 | if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi |
| 446 | if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi |
| 447 | |
| 448 | # confdefs.h avoids OS command line length limits that DEFS can exceed. |
| 449 | rm -rf conftest* confdefs.h |
| 450 | # AIX cpp loses on an empty file, so make sure it contains at least a newline. |
| 451 | echo > confdefs.h |
| 452 | |
| 453 | # A filename unique to this package, relative to the directory that |
| 454 | # configure is in, which we can look for to find out if srcdir is correct. |
| 455 | ac_unique_file=Makefile.in |
| 456 | |
| 457 | # Find the source files, if location was not specified. |
| 458 | if test -z "$srcdir"; then |
| 459 | ac_srcdir_defaulted=yes |
| 460 | # Try the directory containing this script, then its parent. |
| 461 | ac_prog=$0 |
| 462 | ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'` |
| 463 | test "x$ac_confdir" = "x$ac_prog" && ac_confdir=. |
| 464 | srcdir=$ac_confdir |
| 465 | if test ! -r $srcdir/$ac_unique_file; then |
| 466 | srcdir=.. |
| 467 | fi |
| 468 | else |
| 469 | ac_srcdir_defaulted=no |
| 470 | fi |
| 471 | if test ! -r $srcdir/$ac_unique_file; then |
| 472 | if test "$ac_srcdir_defaulted" = yes; then |
| 473 | { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; } |
| 474 | else |
| 475 | { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; } |
| 476 | fi |
| 477 | fi |
| 478 | srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'` |
| 479 | |
| 480 | # Prefer explicitly selected file to automatically selected ones. |
| 481 | if test -z "$CONFIG_SITE"; then |
| 482 | if test "x$prefix" != xNONE; then |
| 483 | CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site" |
| 484 | else |
| 485 | CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site" |
| 486 | fi |
| 487 | fi |
| 488 | for ac_site_file in $CONFIG_SITE; do |
| 489 | if test -r "$ac_site_file"; then |
| 490 | echo "loading site script $ac_site_file" |
| 491 | . "$ac_site_file" |
| 492 | fi |
| 493 | done |
| 494 | |
| 495 | if test -r "$cache_file"; then |
| 496 | echo "loading cache $cache_file" |
| 497 | . $cache_file |
| 498 | else |
| 499 | echo "creating cache $cache_file" |
| 500 | > $cache_file |
| 501 | fi |
| 502 | |
| 503 | ac_ext=c |
| 504 | # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options. |
| 505 | ac_cpp='$CPP $CPPFLAGS' |
| 506 | ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5' |
| 507 | ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5' |
| 508 | cross_compiling=$ac_cv_prog_cc_cross |
| 509 | |
| 510 | ac_exeext= |
| 511 | ac_objext=o |
| 512 | if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then |
| 513 | # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu. |
| 514 | if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then |
| 515 | ac_n= ac_c=' |
| 516 | ' ac_t=' ' |
| 517 | else |
| 518 | ac_n=-n ac_c= ac_t= |
| 519 | fi |
| 520 | else |
| 521 | ac_n= ac_c='\c' ac_t= |
| 522 | fi |
| 523 | |
| 524 | |
| 525 | |
| 526 | trap '' 1 2 15 |
| 527 | cat > confcache <<\EOF |
| 528 | # This file is a shell script that caches the results of configure |
| 529 | # tests run on this system so they can be shared between configure |
| 530 | # scripts and configure runs. It is not useful on other systems. |
| 531 | # If it contains results you don't want to keep, you may remove or edit it. |
| 532 | # |
| 533 | # By default, configure uses ./config.cache as the cache file, |
| 534 | # creating it if it does not exist already. You can give configure |
| 535 | # the --cache-file=FILE option to use a different cache file; that is |
| 536 | # what configure does when it calls configure scripts in |
| 537 | # subdirectories, so they share the cache. |
| 538 | # Giving --cache-file=/dev/null disables caching, for debugging configure. |
| 539 | # config.status only pays attention to the cache file if you give it the |
| 540 | # --recheck option to rerun configure. |
| 541 | # |
| 542 | EOF |
| 543 | # The following way of writing the cache mishandles newlines in values, |
| 544 | # but we know of no workaround that is simple, portable, and efficient. |
| 545 | # So, don't put newlines in cache variables' values. |
| 546 | # Ultrix sh set writes to stderr and can't be redirected directly, |
| 547 | # and sets the high bit in the cache file unless we assign to the vars. |
| 548 | (set) 2>&1 | |
| 549 | case `(ac_space=' '; set | grep ac_space) 2>&1` in |
| 550 | *ac_space=\ *) |
| 551 | # `set' does not quote correctly, so add quotes (double-quote substitution |
| 552 | # turns \\\\ into \\, and sed turns \\ into \). |
| 553 | sed -n \ |
| 554 | -e "s/'/'\\\\''/g" \ |
| 555 | -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p" |
| 556 | ;; |
| 557 | *) |
| 558 | # `set' quotes correctly as required by POSIX, so do not add quotes. |
| 559 | sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p' |
| 560 | ;; |
| 561 | esac >> confcache |
| 562 | if cmp -s $cache_file confcache; then |
| 563 | : |
| 564 | else |
| 565 | if test -w $cache_file; then |
| 566 | echo "updating cache $cache_file" |
| 567 | cat confcache > $cache_file |
| 568 | else |
| 569 | echo "not updating unwritable cache $cache_file" |
| 570 | fi |
| 571 | fi |
| 572 | rm -f confcache |
| 573 | |
| 574 | trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15 |
| 575 | |
| 576 | test "x$prefix" = xNONE && prefix=$ac_default_prefix |
| 577 | # Let make expand exec_prefix. |
| 578 | test "x$exec_prefix" = xNONE && exec_prefix='${prefix}' |
| 579 | |
| 580 | # Any assignment to VPATH causes Sun make to only execute |
| 581 | # the first set of double-colon rules, so remove it if not needed. |
| 582 | # If there is a colon in the path, we need to keep it. |
| 583 | if test "x$srcdir" = x.; then |
| 584 | ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d' |
| 585 | fi |
| 586 | |
| 587 | trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15 |
| 588 | |
| 589 | # Transform confdefs.h into DEFS. |
| 590 | # Protect against shell expansion while executing Makefile rules. |
| 591 | # Protect against Makefile macro expansion. |
| 592 | cat > conftest.defs <<\EOF |
| 593 | s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g |
| 594 | s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g |
| 595 | s%\[%\\&%g |
| 596 | s%\]%\\&%g |
| 597 | s%\$%$$%g |
| 598 | EOF |
| 599 | DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '` |
| 600 | rm -f conftest.defs |
| 601 | |
| 602 | |
| 603 | # Without the "./", some shells look in PATH for config.status. |
| 604 | : ${CONFIG_STATUS=./config.status} |
| 605 | |
| 606 | echo creating $CONFIG_STATUS |
| 607 | rm -f $CONFIG_STATUS |
| 608 | cat > $CONFIG_STATUS <<EOF |
| 609 | #! /bin/sh |
| 610 | # Generated automatically by configure. |
| 611 | # Run this file to recreate the current configuration. |
| 612 | # This directory was configured as follows, |
| 613 | # on host `(hostname || uname -n) 2>/dev/null | sed 1q`: |
| 614 | # |
| 615 | # $0 $ac_configure_args |
| 616 | # |
| 617 | # Compiler output produced by configure, useful for debugging |
| 618 | # configure, is in ./config.log if it exists. |
| 619 | |
| 620 | ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]" |
| 621 | for ac_option |
| 622 | do |
| 623 | case "\$ac_option" in |
| 624 | -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r) |
| 625 | echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion" |
| 626 | exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;; |
| 627 | -version | --version | --versio | --versi | --vers | --ver | --ve | --v) |
| 628 | echo "$CONFIG_STATUS generated by autoconf version 2.13" |
| 629 | exit 0 ;; |
| 630 | -help | --help | --hel | --he | --h) |
| 631 | echo "\$ac_cs_usage"; exit 0 ;; |
| 632 | *) echo "\$ac_cs_usage"; exit 1 ;; |
| 633 | esac |
| 634 | done |
| 635 | |
| 636 | ac_given_srcdir=$srcdir |
| 637 | |
| 638 | trap 'rm -fr `echo " |
| 639 | Makefile |
| 640 | bombs/Makefile |
| 641 | dbbrowse/Makefile |
| 642 | forty/Makefile |
| 643 | fractal/Makefile |
| 644 | life/Makefile |
| 645 | poem/Makefile |
| 646 | " | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15 |
| 647 | EOF |
| 648 | cat >> $CONFIG_STATUS <<EOF |
| 649 | |
| 650 | # Protect against being on the right side of a sed subst in config.status. |
| 651 | sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g; |
| 652 | s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF |
| 653 | $ac_vpsub |
| 654 | $extrasub |
| 655 | s%@SHELL@%$SHELL%g |
| 656 | s%@CFLAGS@%$CFLAGS%g |
| 657 | s%@CPPFLAGS@%$CPPFLAGS%g |
| 658 | s%@CXXFLAGS@%$CXXFLAGS%g |
| 659 | s%@FFLAGS@%$FFLAGS%g |
| 660 | s%@DEFS@%$DEFS%g |
| 661 | s%@LDFLAGS@%$LDFLAGS%g |
| 662 | s%@LIBS@%$LIBS%g |
| 663 | s%@exec_prefix@%$exec_prefix%g |
| 664 | s%@prefix@%$prefix%g |
| 665 | s%@program_transform_name@%$program_transform_name%g |
| 666 | s%@bindir@%$bindir%g |
| 667 | s%@sbindir@%$sbindir%g |
| 668 | s%@libexecdir@%$libexecdir%g |
| 669 | s%@datadir@%$datadir%g |
| 670 | s%@sysconfdir@%$sysconfdir%g |
| 671 | s%@sharedstatedir@%$sharedstatedir%g |
| 672 | s%@localstatedir@%$localstatedir%g |
| 673 | s%@libdir@%$libdir%g |
| 674 | s%@includedir@%$includedir%g |
| 675 | s%@oldincludedir@%$oldincludedir%g |
| 676 | s%@infodir@%$infodir%g |
| 677 | s%@mandir@%$mandir%g |
| 678 | |
| 679 | CEOF |
| 680 | EOF |
| 681 | |
| 682 | cat >> $CONFIG_STATUS <<\EOF |
| 683 | |
| 684 | # Split the substitutions into bite-sized pieces for seds with |
| 685 | # small command number limits, like on Digital OSF/1 and HP-UX. |
| 686 | ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script. |
| 687 | ac_file=1 # Number of current file. |
| 688 | ac_beg=1 # First line for current file. |
| 689 | ac_end=$ac_max_sed_cmds # Line after last line for current file. |
| 690 | ac_more_lines=: |
| 691 | ac_sed_cmds="" |
| 692 | while $ac_more_lines; do |
| 693 | if test $ac_beg -gt 1; then |
| 694 | sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file |
| 695 | else |
| 696 | sed "${ac_end}q" conftest.subs > conftest.s$ac_file |
| 697 | fi |
| 698 | if test ! -s conftest.s$ac_file; then |
| 699 | ac_more_lines=false |
| 700 | rm -f conftest.s$ac_file |
| 701 | else |
| 702 | if test -z "$ac_sed_cmds"; then |
| 703 | ac_sed_cmds="sed -f conftest.s$ac_file" |
| 704 | else |
| 705 | ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file" |
| 706 | fi |
| 707 | ac_file=`expr $ac_file + 1` |
| 708 | ac_beg=$ac_end |
| 709 | ac_end=`expr $ac_end + $ac_max_sed_cmds` |
| 710 | fi |
| 711 | done |
| 712 | if test -z "$ac_sed_cmds"; then |
| 713 | ac_sed_cmds=cat |
| 714 | fi |
| 715 | EOF |
| 716 | |
| 717 | cat >> $CONFIG_STATUS <<EOF |
| 718 | |
| 719 | CONFIG_FILES=\${CONFIG_FILES-"Makefile |
| 720 | bombs/Makefile |
| 721 | dbbrowse/Makefile |
| 722 | forty/Makefile |
| 723 | fractal/Makefile |
| 724 | life/Makefile |
| 725 | poem/Makefile |
| 726 | "} |
| 727 | EOF |
| 728 | cat >> $CONFIG_STATUS <<\EOF |
| 729 | for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then |
| 730 | # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in". |
| 731 | case "$ac_file" in |
| 732 | *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'` |
| 733 | ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;; |
| 734 | *) ac_file_in="${ac_file}.in" ;; |
| 735 | esac |
| 736 | |
| 737 | # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories. |
| 738 | |
| 739 | # Remove last slash and all that follows it. Not all systems have dirname. |
| 740 | ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'` |
| 741 | if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then |
| 742 | # The file is in a subdirectory. |
| 743 | test ! -d "$ac_dir" && mkdir "$ac_dir" |
| 744 | ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`" |
| 745 | # A "../" for each directory in $ac_dir_suffix. |
| 746 | ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'` |
| 747 | else |
| 748 | ac_dir_suffix= ac_dots= |
| 749 | fi |
| 750 | |
| 751 | case "$ac_given_srcdir" in |
| 752 | .) srcdir=. |
| 753 | if test -z "$ac_dots"; then top_srcdir=. |
| 754 | else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;; |
| 755 | /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;; |
| 756 | *) # Relative path. |
| 757 | srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix" |
| 758 | top_srcdir="$ac_dots$ac_given_srcdir" ;; |
| 759 | esac |
| 760 | |
| 761 | |
| 762 | echo creating "$ac_file" |
| 763 | rm -f "$ac_file" |
| 764 | configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure." |
| 765 | case "$ac_file" in |
| 766 | *Makefile*) ac_comsub="1i\\ |
| 767 | # $configure_input" ;; |
| 768 | *) ac_comsub= ;; |
| 769 | esac |
| 770 | |
| 771 | ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"` |
| 772 | sed -e "$ac_comsub |
| 773 | s%@configure_input@%$configure_input%g |
| 774 | s%@srcdir@%$srcdir%g |
| 775 | s%@top_srcdir@%$top_srcdir%g |
| 776 | " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file |
| 777 | fi; done |
| 778 | rm -f conftest.s* |
| 779 | |
| 780 | EOF |
| 781 | cat >> $CONFIG_STATUS <<EOF |
| 782 | |
| 783 | EOF |
| 784 | cat >> $CONFIG_STATUS <<\EOF |
| 785 | |
| 786 | exit 0 |
| 787 | EOF |
| 788 | chmod +x $CONFIG_STATUS |
| 789 | rm -fr confdefs* $ac_clean_files |
| 790 | test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1 |
| 791 | |